Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Barrier.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/config-all.h"`
`#include "ace/Condition_Thread_Mutex.h"`
`#include "ace/Barrier.inl"`

Include dependency graph for Barrier.h:

This graph shows which files directly or indirectly include this file:

## Classes
struct | ACE_Sub_Barrier
class | ACE_Barrier
| Implements "barrier synchronization". More...
class | ACE_Thread_Barrier
| Implements "barrier synchronization" using ACE_Thread_Mutexes! More...

## Detailed Description

Id
  Barrier.h,v 4.10 2006/02/04 12:21:51 shuston Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>